For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • OpenTelemetry traces
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
            • GETList WhatsApp accounts
            • GETGet WhatsApp account
            • PATCHUpdate WhatsApp account
            • DELDelete WhatsApp account
          • POSTOutbound call via WhatsApp
          • POSTOutbound message via WhatsApp
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceWhatsAppAccounts

Get WhatsApp account

GET
/v1/convai/whatsapp-accounts/:phone_number_id
GET
/v1/convai/whatsapp-accounts/:phone_number_id
$curl https://api.elevenlabs.io/v1/convai/whatsapp-accounts/phone_number_id \
> -H "Content-Type: application/json"
1{
2 "business_account_id": "BA1234567890",
3 "phone_number_id": "PN9876543210",
4 "business_account_name": "Acme Corp",
5 "phone_number_name": "Support Line",
6 "phone_number": "+14155552671",
7 "assigned_agent_name": "Jane Doe",
8 "assigned_agent_id": "AGT456789",
9 "enable_messaging": true,
10 "enable_audio_message_response": true,
11 "is_token_expired": false
12}
Get a WhatsApp account
Was this page helpful?
Previous

Update WhatsApp account

Next
Built with

Path parameters

phone_number_idstringRequired

Headers

xi-api-keystringOptional

Response

Successful Response
business_account_idstring
phone_number_idstring
business_account_namestring
phone_number_namestring
phone_numberstring
assigned_agent_namestring or null
assigned_agent_idstring or null
enable_messagingbooleanDefaults to true
enable_audio_message_responsebooleanDefaults to true
is_token_expiredbooleanDefaults to false

Errors

422
Unprocessable Entity Error